/***************************************************************************
                          kiwritedoc.h  -  description                              
                             -------------------                                         
    begin                : Fri Oct  8 19:11:34 PDT 1999
                                           
    copyright            : (C) 1999 by Subhabrata Biswas                         
    email                : subhabrata.biswas@usa.net                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef KIWRITEDOC_H
#define KIWRITEDOC_H 

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif 

#include <qobject.h>
#include <keditcl.h>
/**
  * This class provides base functionality for your application document
  */
class KIWriteDoc : public QObject
{
  Q_OBJECT

 public:
  /** Constructor for the fileclass of the application */
  KIWriteDoc(QObject*, const char *filename=0L);
  /** Destructor for the fileclass of the application */
  ~KIWriteDoc();

 private:

 signals:
 	void showStatus(const char *text) ;
// 	void showStatus(int) ;

 public slots:
 	bool saveContents(KEdit *edit) ;
 	bool loadContents(KEdit *edit) ;
 	bool saveAs(KEdit *edit) ;
 	bool closeFile(KEdit *edit) ;
 	bool askAndSave(KEdit *edit) ;
};

#endif // KIWRITEDOC_H














