#ifndef  __soundTable_h_included__
#define  __soundTable_h_included__

#include <qapplication.h>
#include <qframe.h>
#include <qfont.h>
#include <qpainter.h>
#include <qpaintdevice.h>
#include "mapParser.h"

#define    HORZ_GAP     10

class CSoundTable : public QFrame
{
private:
	CSoundTable() {/* Use prohibited */}
	const QSize   m_defSize ;

	bool       m_bIsValid ;
	
	int        m_row, m_col ;
	int        m_engBase, m_indBase ;
	bool       IsMatrixBetter(int nRow, int nCol, double *lastDif) ;
public:
	CSoundTable(QWidget *parent) ;
	virtual ~CSoundTable() {}

	QFont     *m_engFont ;
	QFont     *m_indFont ;

	int        m_lineHeight, m_w1, m_w2;
	int        m_itemWidth ;

	void       GetDimension(QSize &sz) ;

	virtual void paintEvent(QPaintEvent *paint)  ;
} ;



#else
balls man!!!
#endif /* __soundTable_h_included__ */
