#ifndef __transliterator_h_included__
#define __transliterator_h_included__

typedef enum {SwitchEnglish, SwitchIndian, NoSwitch, ConvError, NoMap} ConvRetType ;

class CTransliterator  
{
private:
	CTransliterator();
public:
	void StrAddCh(char *str, char ch);
	int IsEqual(const char * eng, const char * map);
	ConvRetType   ForwardConvert(const char * inBuf, char * outBuf) ;
	CTransliterator(bool bForward);
	virtual ~CTransliterator();

	bool          m_bForward ;
	bool          m_bInPassThruMode ;
};

#endif /* __transliterator_h_included_ */


